This site has been archived and you can no longer log in or post new messages. For up-to-date community resources please visit ezplatform.com

eZ Community » Forums » Install & configuration » Include Path - autoload?
expandshrink

Include Path - autoload?

Include Path - autoload?

Saturday 14 July 2012 6:19:53 pm - 1 reply

Hey everybody,

First of all I am not a Linux crack!

I have installed eZ on a new server and eZ runs but if I try to run php scripts in the shell I get very crazy errors.

example with the update script from Community 2012.06 

 php update/common/scripts/5.0/deduplicatecontentstategrouplanguage.php -s ger

result

 failed to open stream: No such file or directory in mypath/update/common/scripts/5.0/deduplicatecontentstategrouplanguage.php on line 12
PHP Fatal error:  main() [<a href='function.require'>function.require</a>]: Failed opening required 'autoload.php' (include_path='.:/usr/local/lib/php') 
in /mypath/update/common/scripts/5.0/deduplicatecontentstategrouplanguage.php on line 12

or if try the autload or clear the cache:

 PHP Parse error:  syntax error, unexpected ')', expecting '(' in /mypath/bin/php/ezpgenerateautoloads.php 
on line 56

 

well i don't know what can I do. I tried to change the include_path about the config.php, but no luck.

Can anybody help me?

Modified on Saturday 14 July 2012 6:20:46 pm by David Hohl

Thursday 19 July 2012 12:52:17 am

I had several similar issues in upgrading 4.0.0, some were cleared up by installing pear & ez components, the rest were fixed by addressing issues contained in the httpd error_log.

expandshrink

You must be logged in to post messages in this topic!

36 542 Users on board!

Forums menu

Proudly Developed with from